## wxSocketInputStream

This class implements an input stream which reads data from a connected socket. Note that this stream is purely sequential and it does not support seeking.

Derived from

wxInputStream

Include files

<wx/sckstrm.h>

See also

wxSocketBase

Members

wxSocketInputStream::wxSocketInputStream

### wxSocketInputStream::wxSocketInputStream

wxSocketInputStream(wxSocketBase& s)

Creates a new read-only socket stream using the specified initialized socket connection.